Draft: Mirror

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Mirror and the translation is 11% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Draft Mirror

Emplacement du menu
Draft → Mirror
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Scale


Description

Cet outil crée une copie en miroir d'un objet sélectionné, à l'aide d'un objet Part Mirror. La copie est liée de manière paramétrique à l'objet d'origine: si l'objet d'origine est modifié, la copie en miroir est également modifiée, mais reste en miroir.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Draft Mirror example.jpg

Draft Mirror example.jpg

Utilisation

  1. Sélectionnez les objets que vous souhaitez mettre en miroir
  2. Appuyez sur le bouton Draft Mirror.png Draft Mirror .
  3. Cliquez sur le premier point de la ligne miroir sur la vue 3D ou tapez une coordonnée
  4. Cliquez sur l'autre point de la ligne miroir de la vue 3D ou tapez une coordonnée

After creating the mirrored copy, its binding with the original object can be removed using the Tree Part.svg Part Create simple copy tool.

A mirrored copy of a Draft object can be turned into a Draft Wire, by using Draft Downgrade.svg Draft Downgrade then Draft Upgrade.svg Draft Upgrade.

Options

Propriétés

  • DATA Base: le point de base du plan miroir
  • DATA Normal: la direction normale du plan miroir

Script-Programation

L'outil Cloner peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

The Mirror tool can be used in macros and from the Python console by using the following function:

mirrored_list = mirror(objlist, p1, p2)
  • Réalise le (s) miroir (s) du ou des objets donnés dans un plan défini par une ligne allant de p1 à p2 et parallèle à la vue actuelle
  • Le résultat est un objet Part Mirror
  • Si l'objet d'origine change, l'objet final change aussi mais reste en miroir

Exemple:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg